JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class DBT.DEV_BROADCAST_OEM

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.DBT.DEV_BROADCAST_OEM

Enclosing interface:
  DBT

    public static class DBT.DEV_BROADCAST_OEM

extends Structure

The Class DEV_BROADCAST_OEM.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` `dbco_devicetype` The dbco_devicetype.
`int` `dbco_identifier` The dbco_identifier.
`int` `dbco_reserved` The dbco_reserved.
`int` `dbco_size` The dbco_size.
`int` `dbco_suppfunc` The dbco_suppfunc.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`DBT.DEV_BROADCAST_OEM()` Instantiates a new dev broadcast oem.
`DBT.DEV_BROADCAST_OEM(Pointer memory)` Instantiates a new dev broadcast oem.

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dbco_size

    public int dbco_size

  The dbco_size.

### dbco_devicetype

    public int dbco_devicetype

  The dbco_devicetype.

### dbco_reserved

    public int dbco_reserved

  The dbco_reserved.

### dbco_identifier

    public int dbco_identifier

  The dbco_identifier.

### dbco_suppfunc

    public int dbco_suppfunc

  The dbco_suppfunc.

Constructor Detail

### DBT.DEV_BROADCAST_OEM

    public DBT.DEV_BROADCAST_OEM()

  Instantiates a new dev broadcast oem.

### DBT.DEV_BROADCAST_OEM

    public DBT.DEV_BROADCAST_OEM(Pointer memory)

  Instantiates a new dev broadcast oem.

  Parameters:
    `memory` - the memory

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.